{% extends "bootstrap/base.html" %}
{%  block html_attribs %} lang="en"  {% endblock %} -->
{% block title %} S3 bucket Tool {% endblock %}
{% block navbar %}
<div class="navbar navbar-fixed-top">
  
</div>
{% endblock %}


{% block content %}
<div class="container">
   <div class="row">
     <div class="col-12-xs">
         <h3> Simple Bucket Manager </h3>
         <h4> Hi User, you can upload your file in given bucket, delete files and download file. </h4>
         <br>
         <h3 style="color:blue;" >Upload Your files</h3>
         <form class="upload-form" action="/upload" method="post" enctype="multipart/form-data">  
            <p><input type="file" name="file"> </p>
            <button type="submit" name="upload" class="btn btn-primary">Upload</button>
        </form>
        </hr>
        {% with messages = get_flashed_messages() %}
            {% if  messages %}
                <p class="bg-info" style=" padding: 15px;">
                {% for message in messages  %}
                    {{ message  }}<br>

                {% endfor %}
                </p>
            {% endif %}
        {% endwith %}        

         <hr>
         <table class="table table-stripped">
         <tr>
            <th>Filename</th>
            <th>Last Modified</th>
            <th>File Type</th>
            <th>Delete File</th>
            <th>Download File</th>
         </tr>
         {%  for f in files1  %} 
         <tr>
            <td>{{ f.key }}</td>
            <td>{{ f.last_modified | date_in_readable}}</td> 
            <td>{{ f.key | file_type }}</td>
            <td>
                <form class="delete-form" action="/delete" method="post">  
                    <p><input type="hidden" name="key" value="{{ f.key}}"    > </p>
                    <button type="submit"  class="btn btn-danger btn-sn">DELETE</button>
                </form>
            </td>
            <td>
                <form class="download-form" action="/download" method="post">  
                    <p><input type="hidden" name="key" value="{{ f.key}}"    > </p>
                    <p><input type="hidden" name="type" value="{{ f.key | file_type}}"    > </p>
                    <button type="submit" class="btn btn-default">DOWNLOAD</button>
                </form>
            </td>
        </tr>
         {% endfor %}
        </table>
    </div>
  </div>
</div>  
{% endblock %}